Page MenuHomePhabricator

[AArch64] Enablement of Cortex-X2
ClosedPublic

Authored by mubashar_ on Oct 25 2021, 8:00 AM.

Details

Summary

Enables support for Cortex-X2 cores.

Diff Detail

Event Timeline

mubashar_ created this revision.Oct 25 2021, 8:00 AM
mubashar_ requested review of this revision.Oct 25 2021, 8:00 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptOct 25 2021, 8:00 AM
dmgreen added inline comments.Oct 25 2021, 8:25 AM
llvm/lib/Target/AArch64/AArch64.td
696

According to the software optimization guide, we can enable FeatureCmpBccFusion too.

llvm/lib/Target/AArch64/AArch64Subtarget.cpp
105

This can be a new block with VScaleForTuning = 1 (I think) and the PrefFunctionLogAlignment.

mubashar_ updated this revision to Diff 382309.Oct 26 2021, 7:31 AM
mubashar_ marked 2 inline comments as done.

Made adjustments to AArch64.td and AArch64Subtarget.cpp files.

Addressed comments from @dmgreen.

dmgreen accepted this revision.Oct 28 2021, 12:17 AM

Thanks. LGTM

This revision is now accepted and ready to land.Oct 28 2021, 12:17 AM
This revision was landed with ongoing or failed builds.Nov 1 2021, 4:55 AM
Closed by commit rG0b83a18a2b9d: [AArch64] Enablement of Cortex-X2 (authored by mubashar_, committed by dmgreen). · Explain Why
This revision was automatically updated to reflect the committed changes.